/*
 * system.h - system header.
 *
 * $Id: system.h 10 2006-02-04 15:43:29Z brendan $
 *
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License, Version 1.0 only
 * (the "License").  You may not use this file except in compliance
 * with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 *
 * COPYRIGHT: Copyright (c) 2006 Brendan Gregg.
 *
 * 29-Jan-2006  Brendan Gregg   Created this
 */

#ifndef SYSTEM_H
#define	SYSTEM_H

/* put STDIN into raw mode, so that reads don't block */
extern void	raw_stdin(void);

/* reset STDIN to blocking mode */
extern void	reset_stdin(int sig);

/* die, while reseting blocking */
extern void	die_blocking(void);

/* die with error message */
extern void	die_err(const char *msg);

/* print a warning message, don't die */
extern void	msg_err(const char *msg);

/* disable zombie creation */
extern void	disable_zombies(void);

#endif /* SYSTEM_H */
